gov.ornl.mercury3.beans

## Class browseBean

- java.lang.Object
- - gov.ornl.mercury3.beans.browseBean

-     public class browseBean
      extends Object

  BrowseBean is a simple java bean with getters / setters for the basic parameters needed for building the Web Browse Tree nodes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `browseBean()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList` | `getBrowse_facets()`
    `String` | `getdataSource()`
    `String` | `getFacet()`
    `String` | `getFacet1()`
    `String` | `getFacet1attribute()`
    `String` | `getFacet2()`
    `String` | `getFacet2attribute()`
    `String` | `getFacet3()`
    `String` | `getFacet3attribute()`
    `String` | `getFacetattribute()`
    `int` | `getField_ndx()`
    `String` | `getfield()`
    `String` | `getMetaDataError()`
    `String` | `getNext_node()`
    `String` | `getobjectId()`
    `String` | `getpath()`
    `void` | `setBrowse_facets(ArrayList browse_facets)`
    `void` | `setdataSource(String dataSource)`
    `void` | `setFacet(String facet)`
    `void` | `setFacet1(String facet1)`
    `void` | `setFacet1attribute(String facet1attribute)`
    `void` | `setFacet2(String facet2)`
    `void` | `setFacet2attribute(String facet2attribute)`
    `void` | `setFacet3(String facet3)`
    `void` | `setFacet3attribute(String facet3attribute)`
    `void` | `setFacetattribute(String facetattribute)`
    `void` | `setField_ndx(int field_ndx)`
    `void` | `setfield(String field)`
    `void` | `setMetaDataError(String metaDataError)`
    `void` | `setNext_node(String next_node)`
    `void` | `setobjectId(String objectId)`
    `void` | `setpath(String path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### browseBean

          public browseBean()

  - ### Method Detail

    - #### getNext_node

          public String getNext_node()

    - #### setNext_node

          public void setNext_node(String next_node)

    - #### getobjectId

          public String getobjectId()

    - #### setobjectId

          public void setobjectId(String objectId)

    - #### getdataSource

          public String getdataSource()

    - #### setdataSource

          public void setdataSource(String dataSource)

    - #### getfield

          public String getfield()

    - #### setfield

          public void setfield(String field)

    - #### getpath

          public String getpath()

    - #### setpath

          public void setpath(String path)

    - #### getFacet1

          public String getFacet1()

    - #### setFacet1

          public void setFacet1(String facet1)

    - #### getFacet2

          public String getFacet2()

    - #### setFacet2

          public void setFacet2(String facet2)

    - #### getFacet3

          public String getFacet3()

    - #### setFacet3

          public void setFacet3(String facet3)

    - #### getFacet1attribute

          public String getFacet1attribute()

    - #### setFacet1attribute

          public void setFacet1attribute(String facet1attribute)

    - #### getFacet2attribute

          public String getFacet2attribute()

    - #### setFacet2attribute

          public void setFacet2attribute(String facet2attribute)

    - #### getFacet3attribute

          public String getFacet3attribute()

    - #### setFacet3attribute

          public void setFacet3attribute(String facet3attribute)

    - #### getFacetattribute

          public String getFacetattribute()

    - #### setFacetattribute

          public void setFacetattribute(String facetattribute)

    - #### getFacet

          public String getFacet()

    - #### setFacet

          public void setFacet(String facet)

    - #### getBrowse_facets

          public ArrayList getBrowse_facets()

    - #### setBrowse_facets

          public void setBrowse_facets(ArrayList browse_facets)

    - #### getField_ndx

          public int getField_ndx()

    - #### setField_ndx

          public void setField_ndx(int field_ndx)

    - #### getMetaDataError

          public String getMetaDataError()

    - #### setMetaDataError

          public void setMetaDataError(String metaDataError)

Copyright © 2016. All rights reserved.